Subject: Re: [PATCH 2/2] gitweb: New improved formatting of chunk header in diff

From: Jakub Narebski <[email-masked]>
Date: Wed, 8 Nov 2006 22:55:03 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> O.K. This one introduced new feature, and wasn't needed for earlier 
>> accepted patch (output empty patches) to have sense. And it is rc1 
>> phase...
> 
> I personally do not mind minor gitweb 'feature' updates in -rc
> cycle, just like I am planning to see if there are gitk updates
> I haven't pulled from Paulus (I think there is at least one
> patch from last month or so), unless the changes do not break it
> so badly.

I'll resend corrected patch then...
 
>> By the way, where I can find proper specifiction of unified diff format? 
>> Do I understand correctly that bot from and to ranges can be without 
>> number of lines part if it simplifies to 0?
> 
> When Linus did apply.c and I did diff.c, we primarily worked off
> of sources to GNU patch.
> 
> There is a POSIX draft proposal now.
> 
> http://www.opengroup.org/austin/mailarchives/ag-review/msg02077.html
> 
> See also updates about the proposal.
> 
> http://thread.gmane.org/gmane.comp.version-control.git/29331/focus=29389

Thanks a lot.

Personally I think that we should push for git extended headers to be
(as an option) in POSIX for unifed diff... well, with the exception
of index and similarity lines. ;-)

-- 
Jakub Narebski